Subject: Re: bug#31169: 26.1; Emacs 26.1 RC1 (gtk) display issues over SSH/X11 with xming/vcxsrv

From: Noam Postavsky <[email-masked]>
Date: Fri, 20 Apr 2018 09:11:51 -0400

Eli Zaretskii <[email-masked]> writes:

>> Ah, `fancy-splash-frame' checks `frame-visible-p', which, for my window
>> manager, depends on when I switch to the workspace.
>
> Is that a necessary test?  What happens if you use the selected frame,
> when no frame is found to be visible?

Seems to be unnecessary: if I comment out the frame-visible-p check, I
get the fancy splash regardless of when I switch workspace, and I see no
bad side effects.

Maybe that means this part would also be unneeded:

  (defun fancy-splash-frame ()
    [...]
    ;; MS-Windows needs this to have a chance to make the initial
    ;; frame visible.
    (if (eq (window-system) 'w32)
        (sit-for 0 t))